Bug 72764 - Weird behaviour with loopback mounted ISO images exported via NFS and e100 driver
Summary: Weird behaviour with loopback mounted ISO images exported via NFS and e100 dr...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-27 15:57 UTC by Nils Philippsen
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-27 19:15:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2002-08-27 15:57:27 UTC
Description of Problem:

ISO image mounted loopback, exported per NFS to clients. Subdir of the mounted
directory cannot be accessed when using the e100 driver instead of eepro100 on
the client:

--- 8< ---
[root@ls3130 AS2.1]# cd cd3
[root@ls3130 cd3]# ls
autorun  COPYING  README  RedHat  RPM-GPG-KEY  SRPMS  TRANS.TBL
[root@ls3130 cd3]# cd RedHat/
[root@ls3130 RedHat]# ls
RPMS  TRANS.TBL
[root@ls3130 RedHat]# cd R
bash: cd: R: No such file or directory
[root@ls3130 RedHat]# cd RPMS
bash: cd: RPMS: No such file or directory
[root@ls3130 RedHat]# ls
ls: .: No such file or directory
[root@ls3130 RedHat]# ls .
ls: .: No such file or directory
[root@ls3130 RedHat]# 
--- >8 ---

When using the eepro100 driver on the client, everything works as expected.

Version-Release number of selected component (if applicable):

kernel-smp-2.4.9-e.8

How Reproducible:

Always

Steps to Reproduce:
1. Ensure e100 module is loaded for NIC on client
2. Mount loopback-mounted ISO image per NFS
3. Try to cd a few directories down in the mounted directory

Actual Results:

See above

Expected Results:

No errors

Additional Information:
	
Setup as follows:

NFS server is Dell Poweredge 2450 with Intel eepro 100 NIC, e100 driver:

00:02.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 0d)
        Subsystem: Intel Corporation: Unknown device 1050
        Flags: bus master, medium devsel, latency 32, IRQ 20
        Memory at fe022000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at ecc0 [size=64]
        Memory at fe000000 (32-bit, non-prefetchable) [size=128K]
        Capabilities: [dc] Power Management version 2

NFS client is Dell Poweredge 2550 with Intel eepro 100 NIC, e100 driver (error
shows) or eepro100 driver (error doesn't show):

02:04.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
	Subsystem: Dell Computer Corporation: Unknown device 009b
	Flags: bus master, medium devsel, latency 32, IRQ 16
	Memory at fe900000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at bcc0 [size=64]
	Memory at fe500000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at fe600000 [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

Comment 1 Larry Woodman 2005-09-27 19:15:05 UTC
This problem was fixed in AS2.1 long ago.

Larry Woodman



Note You need to log in before you can comment on or make changes to this bug.